import { AnchoredRadialSeries } from "./AnchoredRadialSeries";
import { UnknownValuePlotting } from "igniteui-react-core";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { RadialFrame } from "./RadialFrame";
import { RadialBaseView } from "./RadialBaseView";
import { Rect } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { AnchoredRadialSeriesView } from "./AnchoredRadialSeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class RadialAreaSeries extends AnchoredRadialSeries {
    static $t: Type;
    protected bj(): Series;
    protected get_eu(): boolean;
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    adn: RadialAreaSeriesView;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    o5(a: boolean, b: SeriesView): void;
    aba(a: RadialFrame, b: RadialBaseView): void;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    p2(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    ado: UnknownValuePlotting;
    protected q7(a: any, b: string, c: any, d: any): void;
    protected get_acc(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialAreaSeriesView extends AnchoredRadialSeriesView {
    static $t: Type;
    protected c5: RadialAreaSeries;
    constructor(a: RadialAreaSeries);
    au(): void;
    dc: Path;
    de: Path;
    dd: Path;
    df: Path;
    c8: Path;
    da: Path;
    c9: Path;
    db: Path;
    c6(): void;
    c7(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting): void;
    protected bd(): void;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
